1. Payment integration
English
  • English
  • 简体中文
  • TLY Pay API
    • Getting started
    • HTTP conventions and payment status
    • Webhook verification and recovery
    • Payment integration
      • Create a Payment
        POST
      • Get Payment status
        GET
      • Cancel a Payment
        POST
      • Disable Checkout access
        DELETE
      • Check pricing configuration
        GET
      • Configure a Webhook endpoint
        POST
      • Verify a Webhook signing Secret
        POST
  • Schemas
    • CreatePayment
    • CreatedPayment
    • ErrorResponse
    • BootstrapWebhook
    • MerchantPaymentView
    • MerchantStoreSourceView
    • MerchantStoreView
    • OneTimeSecretResponse
    • SourceAmount
    • MerchantSourceAmountView
    • VerifyWebhookBinding
    • WebhookBindingView
  1. Payment integration

Check pricing configuration

GET
/v1/store
Requires API Key scope payment:read.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************

Responses

🟢200OK
application/json
Configured pricing source and website domain
Headers

Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/store' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "display_name": "string",
    "merchant_site_registrable_domain": "string",
    "primary_source": {
        "decimals": 0,
        "kind": "string",
        "ref": "string"
    },
    "status": "string",
    "store_id": "string"
}
Previous
Disable Checkout access
Next
Configure a Webhook endpoint
Built with